/*
 * PrinterMenuItem.java
 *
 * Created on 26 Ноябрь 2009 г., 14:04
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package fptrtest;

/**
 *
 * @author V.Kravtsov
 */
public class PrinterMenuItem implements MenuItemInterface
{
    private final String text;
    private final ShtrihFiscalPrinter printer;
    private final ConsoleUtil console;
    
    /** Creates a new instance of PrinterMenuItem */
    public PrinterMenuItem(String text, 
        ShtrihFiscalPrinter printer,
        ConsoleUtil console) {
        this.text = text;
        this.printer = printer;
        this.console = console;
    }
    
    public String getText(){
        return text;
    }
    
    public void execute()
    throws Exception
    {
        System.out.println("1) Read table to file");
        System.out.println("2) Read table to file");
    }
}
